Package org.apache.catalina.startup

# Class ClassLoaderFactory.Repository

java.lang.Object
org.apache.catalina.startup.ClassLoaderFactory.Repository

Enclosing class:
  ClassLoaderFactory

public static class ClassLoaderFactory.Repository extends Object

## Constructor Summary

Constructors
Constructor
Description
`Repository(String location, ClassLoaderFactory.RepositoryType type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocation()`
`ClassLoaderFactory.RepositoryType`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Repository

public Repository(String location, ClassLoaderFactory.RepositoryType type)

## Method Details

### getLocation

public String getLocation()

### getType

public ClassLoaderFactory.RepositoryType getType()